Subject: Re: [PATCH 1/2] bonding: fix incorrect transmit queue offset

From: Phil Oester <[email-masked]>
Date: Wed, 23 Feb 2011 15:08:44 -0800

On Wed, Feb 23, 2011 at 02:42:49PM -0500, Andy Gospodarek wrote:
> + * destination queue.  Using a helper function skips the a call to

s/the a/a/ or s/the a/the/

> +     while (txq >= dev->real_num_tx_queues) {
> +             /* let the user know if we do not have enough tx queues */
> +             if (net_ratelimit())
> +                     pr_warning("%s selects invalid tx queue %d.  Consider"
> +                                " setting module option tx_queues > %d.",
> +                                dev->name, txq, dev->real_num_tx_queues);
> +             txq -= dev->real_num_tx_queues;
> +     }

Think this would be better as a WARN_ONCE, as otherwise syslog will still
get flooded with this - even when ratelimited.  See get_rps_cpu in 
net/core/dev.c as an example.o

Will test this out.

Phil